Bug 504381 - Update applet can update severity wrong if a bugfix update comes out after a security update
Update applet can update severity wrong if a bugfix update comes out after a ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 18:14 EDT by Omair Majid
Modified: 2014-03-16 23:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:32:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Omair Majid 2009-06-05 18:14:44 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.10) Gecko/2009042708 Fedora/3.0.10-1.fc10 Firefox/3.0.10

If foo 1.0.0 is currently installed in the system and foo 1.0.1 is released as a security update, the update applet shows it as a security update and everything is fine. Suppose I dont install foo 1.0.1 for a few days (say I am away for vacation), and foo 1.1.0 is released marked as an bugfix/enhancement update. foo 1.1.0 hopefully contains the security fix in 1.0.1. When I come back, gnome-packagekit tells me it's a bugfix/enhancement update which is, in this case, wrong. From the point of view of my system foo 1.1.0 is a security update.

Reproducible: Always

Steps to Reproduce:
1. Wait for a security update for a package installed on the system
2. Dont install the update
3. Wait for a bugfix update of the package to be released after the security update
Actual Results:  
Packagekit tells me that the latest update is a bugfix update

Expected Results:  
Packagekit should tell me it's a security update for my system
Comment 1 Richard Hughes 2009-06-06 05:51:32 EDT
You've spotted a valid bug, but it's more a bug with our infrastructure than anything else. In Fedora we only keep the last update, and the specific update delta is given a class.

(a) Original ----> (b) Security update -----> (c) Enhancement

So when C is pushed to stable, B is removed from the repo, and we don't have any information to know that B was a security update. That's if I understand how Fedora does this.

As such, it's not really a gnome-packagekit bug, more of an infrastructure choice. I'll change the component, and get some feeback from other people.
Comment 3 Bug Zapper 2009-11-18 07:04:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:32:44 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.